
// ManivelaBielaCorredera.cpp : define los comportamientos de las clases para la aplicacin.
//

#include "stdafx.h"

#include "ManivelaBielaCorredera.h"
#include "MainFrm.h"

#include "ManivelaBielaCorrederaDoc.h"
#include "ManivelaBielaCorrederaView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CManivelaBielaCorrederaApp

BEGIN_MESSAGE_MAP(CManivelaBielaCorrederaApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, &CManivelaBielaCorrederaApp::OnAppAbout)
	// Comandos de documento estndar basados en archivo
	ON_COMMAND(ID_FILE_NEW, &CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinApp::OnFileOpen)
END_MESSAGE_MAP()


// Construccin de CManivelaBielaCorrederaApp

CManivelaBielaCorrederaApp::CManivelaBielaCorrederaApp()
{
	// TODO: reemplace la cadena de identificador de aplicacin siguiente por una cadena de identificador nico; el formato
	// recomendado para la cadena es NombreCompaa.NombreProducto.Subproducto.InformacinDeVersin
	SetAppID(_T("ManivelaBielaCorredera.AppID.NoVersion"));

	// TODO: agregar aqu el cdigo de construccin,
	// Colocar toda la inicializacin importante en InitInstance
}

// El nico objeto CManivelaBielaCorrederaApp

CManivelaBielaCorrederaApp theApp;


// Inicializacin de CManivelaBielaCorrederaApp

BOOL CManivelaBielaCorrederaApp::InitInstance()
{
	CWinApp::InitInstance();


	EnableTaskbarInteraction(FALSE);

	// Se necesita AfxInitRichEdit2() para usar el control RichEdit	
	// AfxInitRichEdit2();

	// Inicializacin estndar
	// Si no utiliza estas caractersticas y desea reducir el tamao
	// del archivo ejecutable final, debe quitar
	// las rutinas de inicializacin especficas que no necesite
	// Cambie la clave del Registro en la que se almacena la configuracin
	// TODO: debe modificar esta cadena para que contenga informacin correcta
	// como el nombre de su compaa u organizacin
	SetRegistryKey(_T("Aplicaciones generadas con el Asistente para aplicaciones local"));
	LoadStdProfileSettings(4);  // Cargar opciones de archivo INI estndar (incluidas las de la lista MRU)


	// Registrar las plantillas de documento de la aplicacin. Las plantillas de documento
	//  sirven como conexin entre documentos, ventanas de marco y vistas
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CManivelaBielaCorrederaDoc),
		RUNTIME_CLASS(CMainFrame),       // Ventana de marco SDI principal
		RUNTIME_CLASS(CManivelaBielaCorrederaView));
	if (!pDocTemplate)
		return FALSE;
	AddDocTemplate(pDocTemplate);


	// Analizar lnea de comandos para comandos Shell estndar, DDE, Archivo Abrir
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);



	// Enviar comandos especificados en la lnea de comandos. Devolver FALSE si
	// la aplicacin se inici con los modificadores /RegServer, /Register, /Unregserver o /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	// Se ha inicializado la nica ventana; mostrarla y actualizarla
	m_pMainWnd->ShowWindow(SW_SHOWMAXIMIZED);
	m_pMainWnd->UpdateWindow();
	return TRUE;
}

// Controladores de mensaje de CManivelaBielaCorrederaApp


// Cuadro de dilogo CAboutDlg utilizado para el comando Acerca de

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Datos del cuadro de dilogo
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Compatibilidad con DDX/DDV

// Implementacin
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()

// Comando de la aplicacin para ejecutar el cuadro de dilogo
void CManivelaBielaCorrederaApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

// Controladores de mensaje de CManivelaBielaCorrederaApp



