
// ManivelaBielaCorrederaDoc.h: interfaz de la clase CManivelaBielaCorrederaDoc
//


#pragma once



class CFloatPoint 
{
protected: // Crear slo a partir de serializacin

public:
	CFloatPoint(){m_X = 0.0;m_Y = 0.0;}
	CFloatPoint(double dx,double dy){m_X = dx;m_Y = dy;}

// Atributos
public:
	double	m_X;
	double  m_Y;
};



class CDataModel : public CObject
{
	// Atributos
protected:
// Nodos
	CFloatPoint	m_ptNodo1;			// Tierra-Manivela
	CFloatPoint	m_ptNodo2;			// Manivela-biela
	CFloatPoint	m_ptNodo3;			// Biela-corredera

// eslabon 1 (Manivela)
	double	m_dManivelaSize;		// tamao de Manivela
	double	m_dManivelaAngle;		// angulo de la Manivela

// eslabon 2 (Biela)
	double	m_dBielaSize;			// tamao de la biela
	double	m_dBielaAngle;			// angulo de la biela

// eslabon 3 (corredera)
	CRect   m_rcCorredera;			// rectangulo de la corredera

public:
	CFloatPoint	GetNodo1(){return m_ptNodo1;}			// Tierra-Manivela
	CFloatPoint	GetNodo2(){return m_ptNodo2;}			// Manivela-biela
	CFloatPoint	GetNodo3(){return m_ptNodo3;}			// Biela-corredera
	void SetNodo1(CFloatPoint Pt){m_ptNodo1 = Pt;}	// Tierra-Manivela
	void SetNodo1(double dx,double dy){m_ptNodo1.m_X = dx;m_ptNodo1.m_Y = dy;}	// Tierra-Manivela
	void SetNodo2(CFloatPoint Pt){m_ptNodo2 = Pt;}	// Manivela-biela
	void SetNodo2(double dx,double dy){m_ptNodo2.m_X = dx;m_ptNodo2.m_Y = dy;}	// Tierra-Manivela
	void SetNodo3(CFloatPoint Pt){m_ptNodo3 = Pt;}	// Biela-corredera
	void SetNodo3(double dx,double dy){m_ptNodo3.m_X = dx;m_ptNodo3.m_Y = dy;}	// Tierra-Manivela

// eslabon 1 (Manivela)
	double	GetManivelaSize(){return m_dManivelaSize;}			// tamao de Manivela
	double	GetManivelaAngle(){return m_dManivelaAngle;}		// angulo de la Manivela
	void	SetManivelaSize(double dSize){m_dManivelaSize = dSize;}// tamao de Manivela
	void	SetManivelaAngle(double dAngle){m_dManivelaAngle = dAngle;}	// angulo de la Manivela


// eslabon 2 (Biela)
	double	GetBielaSize(){return m_dBielaSize;}			// tamao de la biela
	double	GetBielaAngle(){return m_dBielaAngle;}			// angulo de la biela
	void	SetBielaSize(double dSize){ m_dBielaSize = dSize;}				// tamao de la biela
	void	SetBielaAngle(double dBielaAngle){m_dBielaAngle = dBielaAngle;}	// angulo de la biela

// eslabon 3 (corredera)
	void   GetRectCorredera(CRect & rcCorredera){rcCorredera = m_rcCorredera;}			// rectangulo de la corredera
	void   SetRectCorredera(CRect & rcCorredera){m_rcCorredera = rcCorredera;}			// rectangulo de la corredera

};


class CManivelaBielaCorrederaDoc : public CDocument
{
protected: // Crear slo a partir de serializacin
	CManivelaBielaCorrederaDoc();
	DECLARE_DYNCREATE(CManivelaBielaCorrederaDoc)

// Atributos
protected:
	CDataModel m_DataModel;

public:
	CDataModel * GetDataModel(){return &m_DataModel;}

// Operaciones
public:

// Reemplazos
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
#ifdef SHARED_HANDLERS
	virtual void InitializeSearchContent();
	virtual void OnDrawThumbnail(CDC& dc, LPRECT lprcBounds);
#endif // SHARED_HANDLERS

// Implementacin
public:
	virtual ~CManivelaBielaCorrederaDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Funciones de asignacin de mensajes generadas
protected:
	DECLARE_MESSAGE_MAP()

#ifdef SHARED_HANDLERS
	// Funcin auxiliar que establece contenido de bsqueda para un controlador de bsqueda
	void SetSearchContent(const CString& value);
#endif // SHARED_HANDLERS
};
