
// ManivelaBielaCorrederaView.h: interfaz de la clase CManivelaBielaCorrederaView
//

#pragma once


class CManivelaBielaCorrederaView : public CView
{
protected: // Crear slo a partir de serializacin
	CManivelaBielaCorrederaView();
	DECLARE_DYNCREATE(CManivelaBielaCorrederaView)

// Atributos
protected:
	int		m_nNodeSize;

public:
	CManivelaBielaCorrederaDoc* GetDocument() const;
	CDataModel * GetDataModel();


// Operaciones
public:
	void SetMapping(CDC * pDC);


// Reemplazos
public:
	virtual void OnDraw(CDC* pDC);  // Reemplazado para dibujar esta vista
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	void TraceEslabon(CDC * pDC, CFloatPoint & PtOrig,CFloatPoint & PtDest);
	void TraceCorredera(CDC * pDC);
	void GetRectManivela(CRect & rcManivela);


// Implementacin
public:
	virtual ~CManivelaBielaCorrederaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Funciones de asignacin de mensajes generadas
protected:
	DECLARE_MESSAGE_MAP()

public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	void OnTimer(UINT nIDEvent);
};

#ifndef _DEBUG  // Versin de depuracin en ManivelaBielaCorrederaView.cpp
inline CManivelaBielaCorrederaDoc* CManivelaBielaCorrederaView::GetDocument() const
   { return reinterpret_cast<CManivelaBielaCorrederaDoc*>(m_pDocument); }
#endif

